Status: Resolved Priority: Should have
Author: Bastian Waidelich Category:
Created: 2012-09-07 Assigned To: Bastian Waidelich
Updated: 2012-09-08 Due date:
Subject: TYPO3 exceptions should inherit from FLOW3 exceptions
Description

The exceptions of the TYPO3.TYPO3 package extend \TYPO3\TYPO3\Exception. This one currently directly inherits from PHPs 
\Exception.
Instead \TYPO3\TYPO3\Exception should extend \TYPO3\FLOW3\Exception in order to support statusCode and referenceCode

Associated revisions
Revision 5e38b495 - 2012-09-07 13:14 - Bastian Waidelich

[TASK] TYPO3 exceptions should inherit from FLOW3 exceptions

This changes the TYPO3.TYPO3 base Exception to inherit from FLOW3s
\TYPO3\FLOW3\Exception in order to support statusCode and referenceCode.

Change-Id: I1291d4373ef0fcdba5d591075218c085c486c5bb
Resolves: #40719

History
#1 - 2012-09-07 13:15 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14429

#2 - 2012-09-07 16:24 - Bastian Waidelich
- Status changed from Accepted to Under Review

#3 - 2012-09-08 13:35 - Bastian Waidelich
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:5e38b4950f5a5e57f2d76d59bce9723fa82467fd.
